Package de.gebit.integrity.operations.standard.operands

## Class AdditionNode

- java.lang.Object
- - de.gebit.integrity.operations.standard.operands.OperatorNode<BigDecimal,​BigDecimal>
  - - de.gebit.integrity.operations.standard.operands.AdditionNode

-     public class AdditionNode
      extends OperatorNode<BigDecimal,​BigDecimal>

  Adds two values. Always uses BigDecimals since those can cover the whole range of values supported by Integrity.
  Author:
    Rene Schneider - initial API and implementation

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AdditionNode​(Operation anOperation, Object aLeftOperand, Object aRightOperand)` | Constructs a new instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected Object` | `evaluateInternal​(BigDecimal aLeftOperand, BigDecimal aRightOperand)` | Must be implemented by subclasses to implement the actual evaluation of this node.

    - ### Methods inherited from class de.gebit.integrity.operations.standard.operands.OperatorNode

      `evaluate, getEvaluatedLeftOperand, getEvaluatedRightOperand`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdditionNode

          public AdditionNode​(Operation anOperation,
                              Object aLeftOperand,
                              Object aRightOperand)

      Constructs a new instance.
      Parameters:
        `aLeftOperand` -
        `aRightOperand` -

  - ### Method Detail

    - #### evaluateInternal

          protected Object evaluateInternal​(BigDecimal aLeftOperand,
                                            BigDecimal aRightOperand)
                                     throws UnexecutableException

      Description copied from class: `OperatorNode`
      Must be implemented by subclasses to implement the actual evaluation of this node. It will get evaluated and converted operands and needs to return the result of the evaluation.
      Specified by:
        `evaluateInternal` in class `OperatorNode<BigDecimal,​BigDecimal>`
      Parameters:
        `aLeftOperand` - the evaluated left operand
        `aRightOperand` - the evaluated right operand
      Returns:
        the result of the evaluation
      Throws:
        `UnexecutableException`